User Tools

A PCRE internal error occured. This might be caused by a faulty plugin

====== Function SOFTWARE-TYPE, SOFTWARE-VERSION ====== ====Syntax==== * **software-type ** → //description// * **software-version** → //description// ====Arguments and Values==== * //description// - a //[[CL:Glossary:string]]// or **[[CL:Constant Variables:nil]]**. ====Description==== **software-type** returns a //[[CL:Glossary:string]]// that identifies the generic name of any relevant supporting software, or **[[CL:Constant Variables:nil]]** if no appropriate or relevant result can be produced. **software-version** returns a //[[CL:Glossary:string]]// that identifies the version of any relevant supporting software, or **[[CL:Constant Variables:nil]]** if no appropriate or relevant result can be produced. ====Examples==== <blockquote> (software-type) <r>"Multics" </r> (software-version) <r>"1.3x" </r> </blockquote> ====Side Effects==== None. ====Affected By==== Operating system environment. ====Exceptional Situations==== None. ====See Also==== None. ====Notes==== This information should be of use to maintainers of the //[[CL:Glossary:implementation]]//.